Opened 9 years ago

Closed 8 years ago

#1359 closed defect (invalid)

OSX Startup fails

Reported by: ke6iyc Owned by: grass-dev@…
Priority: normal Milestone:
Component: Installation Version: 6.4.1 RCs
Keywords: frameworks Cc: cdunham
CPU: OSX/Intel Platform: MacOSX

Description

GRASS (Latest download) will not start.

Full text of terminal session follows:

Last login: Mon May 9 22:56:18 on ttys000 '/Applications/GRASS-6.4.app/Contents/MacOS/grass.sh'; exit You have new mail. brian-gieryks-macbook-pro-3:~ ke6iyc$ '/Applications/GRASS-6.4.app/Contents/MacOS/grass.sh'; exit Rebuilding Addon HTML manual pages index... Rebuilding Addon menu... Python 2.6.1 found.

WELCOME TO GRASS Version 6.4.1 2011

1) Have at your side all available GRASS tutorials

2) When working on your location, the following materials

are extremely useful:

  • A topo map of your area
  • Current catalog of available computer maps

3) Check the GRASS webpages for feedback mailinglists and more:

http://www.grass-gis.org http://grass.osgeo.org

Hit RETURN to continue

Starting GRASS ... Traceback (most recent call last):

File "/Applications/GRASS-6.4.app/Contents/MacOS/etc/wxpython/gis_set.py", line 34, in <module>

from gui_modules import globalvar

File "/Users/Shared?/src/GRASS/grass-6.4.1-snow/dist.i386-apple-darwin10.7.0/etc/wxpython/gui_modules/globalvar.py", line 79, in <module> File "/Users/Shared?/unix/wxpython-snow/lib/python2.6/site-packages/wx-2.8-mac-unicode/wx/init.py", line 45, in <module> File "/Users/Shared?/unix/wxpython-snow/lib/python2.6/site-packages/wx-2.8-mac-unicode/wx/_core.py", line 4, in <module>

ImportError?: dlopen(/Applications/GRASS-6.4.app/Contents/MacOS/etc/python/wx/_core_.so, 2): Library not loaded: /Library/Frameworks?/UnixImageIO.framework/Versions/C/UnixImageIO

Referenced from: /Applications/GRASS-6.4.app/Contents/MacOS/lib/libwx_macud-2.8.0.dylib Reason: image not found

Error in GUI startup. If necessary, please report this error to the GRASS developers. Switching to text mode now. Hit RETURN to continue...

dyld: Library not loaded: /Library/Frameworks?/GDAL.framework/Versions/1.8/GDAL

Referenced from: /Applications/GRASS-6.4.app/Contents/MacOS/lib/libgrass_gis.dylib Reason: image not found

/Applications/GRASS-6.4.app/Contents/MacOS/etc/Init.sh: line 630: 12084 Trace/BPT trap "$ETC/set_data" logout

[Process completed]

Change History (6)

comment:1 Changed 9 years ago by ke6iyc

Version: 6.4.06.4.1 RCs

comment:2 Changed 9 years ago by kyngchaos

Make sure you install the frameworks as stated in the readme and on the download page.

comment:3 Changed 8 years ago by hamish

Component: StartupInstallation
Keywords: frameworks added
Resolution: invalid
Status: newclosed
Summary: No StartupOSX Startup fails

assume the trouble was that the frameworks packages were not installed.

comment:4 Changed 8 years ago by cdunham

Resolution: invalid
Status: closedreopened

I am seeing this as well, with some slight differences. It appears that GRASS is referring to a specific version of UnixImageIO, which is different than what the framework installer (GDAL Complete 1.9) installed.

ImportError?: dlopen(/Applications/GRASS-6.4.app/Contents/MacOS/etc/python/wx/_core_.so, 2): Library not loaded: /Library/Frameworks?/UnixImageIO.framework/Versions/D/UnixImageIO

% ls -l /Library/Frameworks/UnixImageIO.framework/Versions/
total 8
lrwxr-xr-x  1 root  admin    1 Sep  2 09:08 Current -> E
drwxrwxr-x  7 root  admin  238 Jun 15 09:42 E
% 

comment:5 Changed 8 years ago by cdunham

Cc: cdunham added

comment:6 Changed 8 years ago by kyngchaos

Resolution: invalid
Status: reopenedclosed

Yes, I noticed this recently. It is still not really a GRASS bug, but a dependency packaging problem. When I rebuilt everything for the new UnixImageIO, I forgot wxpython. Either wait for a new installer, or install Barton's package.

Note: do not try to fix UnixImageIO with a symlink for the D version, D and E versions are incompatible.

Note: See TracTickets for help on using tickets.